#
# Conditional build:
%bcond_without	mysql		# build without mysql support
#
Summary:	Transport Control Protocol Superserver
Summary(pl.UTF-8):	Superserwer Transport Control Protocol
Name:		ucspi-tcp
Version:	0.88
Release:	10
Group:		Networking/Daemons
# http://cr.yp.to/distributors.html
License:	Public Domain
Source0:	http://cr.yp.to/ucspi-tcp/%{name}-%{version}.tar.gz
# Source0-md5:	39b619147db54687c4a583a7a94c9163
Source1:	ftp://ftp.innominate.org/pub/pape/djb/%{name}-%{version}-man.tar.gz
# Source1-md5:	693be34da89cd5244cef8ae30b4dc6a4
Source2:	daemontools-tcprules
Patch0:		%{name}-%{version}-mysql.patch.pld
Patch1:		%{name}-glibc.patch
Patch2:		http://lamer.maexotic.de/maex/creative/software/ucspi-tcp/0.88-recordio/recordio.diff
URL:		http://cr.yp.to/ucspi-tcp.html
%{?with_mysql:BuildRequires:	mysql-devel}
# make and stat from coreutils are for building tcprules
Requires:	coreutils
Requires:	make
Conflicts:	daemontools < 0.76-8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# qmail.spec uses this dir
%define 	tcprules 	/etc/tcprules.d

%description
UNIX Client/Server Program Interface - something like inetd with
add-ons.

%description -l pl.UTF-8
UNIX Client/Server Program Interface - coś w rodzaju superserwera
inetd z małymi dodatkami.

%prep
%setup -q -a1
mv ucspi-tcp-%{version}-man man
%{?with_mysql:%patch0}
%patch1 -p0
%patch2 -p1

%build
echo "%{__cc} %{rpmcflags} %{?with_mysql:-I%{_includedir}/mysql}" > conf-cc
echo "%{_prefix}" > conf-home
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,3,5},%{tcprules}}

install addcr argv0 auto-str date@ delcr finger@ fixcrio \
	http@ mconnect mconnect-io rblsmtpd recordio rts tcpcat \
	tcpclient tcprules tcprulescheck tcpserver who@ \
	$RPM_BUILD_ROOT%{_bindir}

install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE2} $RPM_BUILD_ROOT%{tcprules}/Makefile

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README SYSDEPS TARGETS TODO VERSION
%{tcprules}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Tue Mar 06 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ucspi-tcp.git;a=log;h=master

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> bfc79d8
- rebuild with mysql 5.7
- release 10 (by relup.sh)

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 79ec912
- release 9

* Mon Nov 10 2008 Elan Ruusamäe <glen@pld-linux.org> dda5fd0
- release 8

* Mon May 05 2008 Elan Ruusamäe <glen@pld-linux.org> e30ad42
- /etc/tcprules.d moved here from daemontools (why it was there anyway?)
- cleanup build proccess; rel 7

* Sun Apr 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 1087d74
- ucspi-tcp 0.88 is Public Domain since 20071228

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2aa2534
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eb7f7d1
- converted to UTF-8

* Tue Jan 24 2006 witekfl <witekfl@pld-linux.org> d279bfa
- corrected URL for patch2

* Mon Oct 10 2005 Elan Ruusamäe <glen@pld-linux.org> 7edd412
- add to PLD cvs

* Mon Oct 10 2005 Elan Ruusamäe <glen@pld-linux.org> 4c48e1b
- add recordio patch, rel 6

* Tue Feb 01 2005 Elan Ruusamäe <glen@pld-linux.org> 386e07a
- Makefile to build .cdb files

* Fri Nov 26 2004 Elan Ruusamäe <glen@pld-linux.org> a49835d
- added mysql bcond

* Tue Jul 08 2003 Jakub Bogusz <qboosh@pld-linux.org> b5462b8
- no macros in URL field, other cleanups

* Wed May 28 2003 Michal Moskal <michal@moskal.me> c32c379
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 19bb552
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Mar 31 2003 mguevara <mguevara@pld-linux.org> 4f994d8
- License changed to DJB http://cr.yp.to/distributors.html
  summary:
  In the current state the package should not be distributed
  as a binary
  The package (both src and binary) should not be distributed
  after termination date which is 2003-07-01
- release 5.1 (version 0.88)

* Mon Mar 31 2003 serek <serek@pld-linux.org> f30fea4
- glibc 2.3.x patch. STBR.

* Mon Mar 31 2003 serek <serek@pld-linux.org> 0884e47
- glibc 2.3.x patches.

* Sat Nov 30 2002 juandon <witekfl@pld-linux.org> d14aaad
- new %doc

* Mon Aug 19 2002 serek <serek@pld-linux.org> fb6338e
- properly modified mysql patch.

